### Hierarchy

- TableSettingsPane

## Index

### Constructors

- constructor

### Properties

- content
- settings
- title

### Methods

- addSetting
- commit
- getContent
- getSettings
- setSettings
- toJSON
- toString

## Constructors

### constructor

- new TableSettingsPane(options: TableSettingsPaneOptions): TableSettingsPane

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-pane.class.ts:14

  #### Parameters

  - ##### options: TableSettingsPaneOptions

  #### Returns TableSettingsPane

## Properties

### Optional content

content: any

- Defined in packages/angular/src/toolkit/table-settings/table-settings-pane.class.ts:12

### Protected settings

settings: BaseSetting[] = ...

- Defined in packages/angular/src/toolkit/table-settings/table-settings-pane.class.ts:14

### title

title: any

- Defined in packages/angular/src/toolkit/table-settings/table-settings-pane.class.ts:13

## Methods

### addSetting

- addSetting(setting: BaseSetting): void

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-pane.class.ts:24

  #### Parameters

  - ##### setting: BaseSetting

  #### Returns void

### commit

- commit(): void

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-pane.class.ts:60

  #### Returns void

### getContent

- getContent(): Observable<any>

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-pane.class.ts:36

  #### Returns Observable<any>

### getSettings

- getSettings(): BaseSetting[]

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-pane.class.ts:32

  #### Returns BaseSetting[]

### setSettings

- setSettings(settings: BaseSetting[]): void

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-pane.class.ts:28

  #### Parameters

  - ##### settings: BaseSetting[]

  #### Returns void

### toJSON

- toJSON(): { content: any; settings: any[] }

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-pane.class.ts:44

  #### Returns { content: any; settings: any[] }

  - ##### content: any

  - ##### settings: any[]

### toString

- toString(): string

- - Defined in packages/angular/src/toolkit/table-settings/table-settings-pane.class.ts:56

  #### Returns string

Generated using TypeDoc